Bug 113018 - Cannot compile mod_auth_krb5-rc3 because krb5-config is missing
Summary: Cannot compile mod_auth_krb5-rc3 because krb5-config is missing
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: krb5 (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-07 14:36 UTC by Need Real Name
Modified: 2007-11-30 22:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:23:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
config.log (9.23 KB, text/plain)
2004-01-07 14:37 UTC, Need Real Name
no flags Details

Description Need Real Name 2004-01-07 14:36:01 UTC
Description of problem:
I'm trying to compile mod_auth_krb5-rc3 on RedHat AS 2.1 as a dso. 

I have installed the following krb5-packages:

krb5-libs-1.2.2-13
krb5-devel-1.2.2-13
krb5-workstation-1.2.2-13

When I start "./configure --with-krb5=/usr/kerberos --with-
apache=/opt/apache2 --without-krb4" I get the following error 
(excerpt from the config.log)

....
configure:2708: checking for Kerberos5 installation
configure:2712: error: failed to find krb5-config in /usr/kerberos/bin
.....


/usr/kerberos/bin is in my PATH. The file krb5-config doesn't exist 
on the system.

From where can I get the missing file? Which versions of the krb5-
packages must be installed?



Version-Release number of selected component (if applicable):
mod_auth_krb5-rc3 

How reproducible:
every time.

Steps to Reproduce:
1. ./configure --with-krb5=/usr/kerberos --with-apache=/opt/apache2 --
without-krb4 

2.
3.
  
Actual results:


Expected results:


Additional info:

see the complete config.log

Comment 1 Need Real Name 2004-01-07 14:37:51 UTC
Created attachment 96804 [details]
config.log

Comment 2 Nalin Dahyabhai 2004-01-07 19:59:20 UTC
The krb5-config script wasn't part of MIT Kerberos until version
1.2.3, it would have to be added to 1.2.2.  Marking as an enhancement.

Comment 3 Need Real Name 2004-01-08 09:28:27 UTC
Ok. The krb5-devel version 1.2.4-11 includes the krb5-config script. 
Is this version officially supported by RedHat AS 2.1.?

Comment 4 Suzanne Hillman 2004-01-08 18:02:11 UTC
Created internal RFE bug #113124.

Comment 5 Nalin Dahyabhai 2004-01-08 18:54:00 UTC
Between 1.2.2 and 1.2.3, the version of the libkadm5clnt shared
library changed from 4 to 5, so attempting an update to 1.2.4 might
create dependency problems.  Barring that, I expect it would work
without problems.  Whether or not that's supported, I couldn't guess.

Comment 6 Nalin Dahyabhai 2004-01-08 18:56:49 UTC
Rereading your question, I think you're suggesting extracting just the
script from version 1.2.4 of the package and using that.  Except for
the "version_string" variable (which may or may not be significant,
depending on what's calling the script), it should do just fine.

Comment 8 RHEL Product and Program Management 2007-10-19 19:23:24 UTC
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.